﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Windows.Forms;

namespace howto_jpeg_to_jpg
{
    public static class Extensions
    {
        private static void CheckUncheckAll(
            this CheckedListBox clb, bool is_checked)
        {
            for (int i = 0; i < clb.Items.Count; i++)
            {
                clb.SetItemChecked(i, is_checked);
            }
        }

        public static void CheckAll(this CheckedListBox clb)
        {
            clb.CheckUncheckAll(true);
        }

        public static void UncheckAll(this CheckedListBox clb)
        {
            clb.CheckUncheckAll(false);
        }

        // Remove the checked files from the list.
        public static void RemoveChecked(this CheckedListBox clb)
        {
            // Make a new list holding the checked items.
            object[] checked_items = new object[clb.CheckedItems.Count];
            clb.CheckedItems.CopyTo(checked_items, 0);

            // Remove the items.
            foreach (object obj in checked_items)
                clb.Items.Remove(obj);
        }
    }
}
